<?php
/**
 * Small Blue theme functions.
 *
 * Functions file for child theme, enqueues parent and child stylesheets by default.
 *
 * @since       1.0.0
 * @package small-blue
 */

// Exit if accessed directly.


if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! function_exists( 'small_blue_enqueue_styles' ) ) {
	/**
	 * Enqueue Styles.
	 *
	 * Enqueue parent style and child styles where parent are the dependency
	 * for child styles so that parent styles always get enqueued first.
	 *
	 * @since 1.0.0
	 */

	function small_blue_enqueue_styles() {

		// Enqueue Parent theme's stylesheet.

		wp_enqueue_style( 'small-blue-parent-style', get_template_directory_uri() . '/style.css' );

		wp_enqueue_style( 'small-blue-child-main', get_stylesheet_directory_uri() . '/style.css' );
	}
}

// Add enqueue function to the desired action.

add_action( 'wp_enqueue_scripts', 'small_blue_enqueue_styles', 20 );

function small_blue_button_go_top(){
	echo '<div class="mw-go-top"><i class="fa fa-angle-up fa-2x"></i></div>';
}
add_action( 'wp_footer', 'small_blue_button_go_top' );

function small_blue_customize_register() {     
global $wp_customize;

$wp_customize->get_setting( 'mwsmall_header_position' )->default = 'center';
$wp_customize->get_setting( 'header_bg_color' )->default = 'ffffff';
$wp_customize->get_setting( 'menu_top_color' )->default = '000000';
//$wp_customize->get_control('blogdescription')->label = esc_html__( 'Site Description', 'textdomain' );
$wp_customize->remove_control( 'header_position' ); 
$wp_customize->remove_control( 'color_theme' ); 
} 

add_action( 'customize_register', 'small_blue_customize_register', 11 );